Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZQuestion Class Reference

## Public Member Functions
| __construct ( $id="-1")
| get ( $id="-1")
| store ()
| delete ()
| copyQuestion ( $surveyID)
| questionChoices ( $OrderBy="ID")
| numberOfQuestionsChoices ()
| questionNumber ()
| questionUp ()
| moveUp ()
| questionDown ()
| moveDown ()
| isRequired ()
| isQuestion ()
| hasChoices ()
| hasDefault ()
| hasSize ()
| hasName ()
| hasRequired ()
| hasStats ()
| stats ()
| id ()
| surveyId ()
| questionTypeID ()
| resultID ()
| length ()
| position ()
| content ()
| initial ()
| required ()
function | responseTable ()
| setSurveyID ( $value)
| setQuestionTypeID ( $value)
| setResultID ( $value)
| setLength ( $value)
| setContent ( $value)
| setInitial ( $value)
| setRequired ( $value)
| setPublic ( $value)
| setPosition ( $value="")

## Static Public Member Functions
static | getAll ( $OrderBy="ID", $SurveyID="", $LimitStart="None", $LimitBy="None")
static | questionTypes ()

## Public Attributes
| $ID
| $SurveyId
| $SurveyID
| $QuestionTypeID
| $ResultID
| $Length
| $Position
| $Content
| $Initial
| $Required
| $Public
| $HasChoices
| $ResponseTable
| $TYPE_YESNO = "1"
| $TYPE_TEXTBOX = "2"
| $TYPE_TEXTAREA = "3"
| $TYPE_RADIO = "4"
| $TYPE_CHECKBOX = "5"
| $TYPE_DROPDOWN = "6"
| $TYPE_RATE = "8"
| $TYPE_DATE = "9"
| $TYPE_NUMERIC = "10"
| $TYPE_PAGEBREAK = "99"
| $TYPE_SECTIONTEXT = "100"
| $TABLE_BOOL = "eZResponseBool"
| $TABLE_TEXT = "eZResponseText"
| $TABLE_SINGLE = "eZResponseSingle"
| $TABLE_MULTIPLE = "eZResponseMultiple"
| $TABLE_RANK = "eZResponseRank"
| $TABLE_DATE = "eZResponseDate"

## Detailed Description

Definition at line 10 of file ezquestion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZQuestion::__construct | ( |  | $id = `"-1"` | ) |

Definition at line 13 of file ezquestion.php.

References $id, and $ID.

## Member Function Documentation

## ◆ content()

eZQuestion::content | ( |  | ) |

Definition at line 642 of file ezquestion.php.

References $Content.

## ◆ copyQuestion()

eZQuestion::copyQuestion | ( |  | $surveyID | ) |

Definition at line 223 of file ezquestion.php.

## ◆ delete()

eZQuestion::delete | ( |  | ) |

Definition at line 205 of file ezquestion.php.

References $db, $questionChoice_array, $res, eZResponseQuestion\deleteByQuestion(), eZDB\finish(), eZDB\globalDatabase(), and questionChoices().

## ◆ get()

eZQuestion::get | ( |  | $id = `"-1"` | ) |

Definition at line 32 of file ezquestion.php.

References $db, $question_array, and eZDB\globalDatabase().

## ◆ getAll()

static eZQuestion::getAll | ( |  | $OrderBy = `"ID"`,
|  |  | $SurveyID = `""`,
|  |  | $LimitStart = `"None"`,
|  |  | $LimitBy = `"None"`
| ) |  |
| static

Definition at line 88 of file ezquestion.php.

References $db, $OrderBy, $question_array, $SurveyID, and eZDB\globalDatabase().

Referenced by questionDown(), and questionUp().

## ◆ hasChoices()

eZQuestion::hasChoices | ( |  | ) |

Definition at line 417 of file ezquestion.php.

## ◆ hasDefault()

eZQuestion::hasDefault | ( |  | ) |

Definition at line 425 of file ezquestion.php.

## ◆ hasName()

eZQuestion::hasName | ( |  | ) |

Definition at line 461 of file ezquestion.php.

References $res.

## ◆ hasRequired()

eZQuestion::hasRequired | ( |  | ) |

Definition at line 480 of file ezquestion.php.

References $res.

## ◆ hasSize()

eZQuestion::hasSize | ( |  | ) |

Definition at line 437 of file ezquestion.php.

References $res.

## ◆ hasStats()

eZQuestion::hasStats | ( |  | ) |

Definition at line 501 of file ezquestion.php.

References $res.

## ◆ id()

eZQuestion::id | ( |  | ) |

Definition at line 636 of file ezquestion.php.

References $ID.

## ◆ initial()

eZQuestion::initial | ( |  | ) |

Definition at line 643 of file ezquestion.php.

References $Initial.

## ◆ isQuestion()

eZQuestion::isQuestion | ( |  | ) |

Definition at line 397 of file ezquestion.php.

References $res.

## ◆ isRequired()

eZQuestion::isRequired | ( |  | ) |

Definition at line 389 of file ezquestion.php.

## ◆ length()

eZQuestion::length | ( |  | ) |

Definition at line 640 of file ezquestion.php.

References $Length.

## ◆ moveDown()

eZQuestion::moveDown | ( |  | ) |

Definition at line 375 of file ezquestion.php.

References $Position, $question, questionDown(), and store().

## ◆ moveUp()

eZQuestion::moveUp | ( |  | ) |

Definition at line 331 of file ezquestion.php.

References $Position, $question, questionUp(), and store().

## ◆ numberOfQuestionsChoices()

eZQuestion::numberOfQuestionsChoices | ( |  | ) |

Definition at line 277 of file ezquestion.php.

References $count, $db, and eZDB\globalDatabase().

## ◆ position()

eZQuestion::position | ( |  | ) |

Definition at line 641 of file ezquestion.php.

References $Position.

## ◆ questionChoices()

eZQuestion::questionChoices | ( |  | $OrderBy = `"ID"` | ) |

Definition at line 253 of file ezquestion.php.

References $db, $questionChoice_array, eZQuestionChoice, and eZDB\globalDatabase().

Referenced by delete(), and stats().

## ◆ questionDown()

eZQuestion::questionDown | ( |  | ) |

Definition at line 345 of file ezquestion.php.

References $db, $question_array, $ret, getAll(), and eZDB\globalDatabase().

Referenced by moveDown().

## ◆ questionNumber()

eZQuestion::questionNumber | ( |  | ) |

Definition at line 286 of file ezquestion.php.

References $count, $db, and eZDB\globalDatabase().

## ◆ questionTypeID()

eZQuestion::questionTypeID | ( |  | ) |

Definition at line 638 of file ezquestion.php.

References $QuestionTypeID.

## ◆ questionTypes()

static eZQuestion::questionTypes | ( |  | ) |
| static

Definition at line 242 of file ezquestion.php.

References $db, and eZDB\globalDatabase().

## ◆ questionUp()

eZQuestion::questionUp | ( |  | ) |

Definition at line 301 of file ezquestion.php.

References $db, $question_array, $ret, getAll(), and eZDB\globalDatabase().

Referenced by moveUp().

## ◆ required()

eZQuestion::required | ( |  | ) |

Definition at line 644 of file ezquestion.php.

References $Required.

## ◆ responseTable()

function eZQuestion::responseTable | ( |  | ) |

Definition at line 647 of file ezquestion.php.

References $ResponseTable.

## ◆ resultID()

eZQuestion::resultID | ( |  | ) |

Definition at line 639 of file ezquestion.php.

References $ResultID.

## ◆ setContent()

eZQuestion::setContent | ( |  | $value | ) |

Definition at line 655 of file ezquestion.php.

## ◆ setInitial()

eZQuestion::setInitial | ( |  | $value | ) |

Definition at line 656 of file ezquestion.php.

## ◆ setLength()

eZQuestion::setLength | ( |  | $value | ) |

Definition at line 653 of file ezquestion.php.

## ◆ setPosition()

eZQuestion::setPosition | ( |  | $value = `""` | ) |

Definition at line 660 of file ezquestion.php.

References $db, and eZDB\globalDatabase().

## ◆ setPublic()

eZQuestion::setPublic | ( |  | $value | ) |

Definition at line 658 of file ezquestion.php.

## ◆ setQuestionTypeID()

eZQuestion::setQuestionTypeID | ( |  | $value | ) |

Definition at line 651 of file ezquestion.php.

## ◆ setRequired()

eZQuestion::setRequired | ( |  | $value | ) |

Definition at line 657 of file ezquestion.php.

## ◆ setResultID()

eZQuestion::setResultID | ( |  | $value | ) |

Definition at line 652 of file ezquestion.php.

## ◆ setSurveyID()

eZQuestion::setSurveyID | ( |  | $value | ) |

Definition at line 650 of file ezquestion.php.

## ◆ stats()

eZQuestion::stats | ( |  | ) |

Definition at line 524 of file ezquestion.php.

References $db, $question_array, eZDB\globalDatabase(), eZResponse\numberOfResponses(), and questionChoices().

## ◆ store()

eZQuestion::store | ( |  | ) |

Definition at line 153 of file ezquestion.php.

References $db, $res, $ret, eZDB\finish(), and eZDB\globalDatabase().

Referenced by moveDown(), and moveUp().

## ◆ surveyId()

eZQuestion::surveyId | ( |  | ) |

Definition at line 637 of file ezquestion.php.

References $SurveyID.

## Member Data Documentation

## ◆ $Content

eZQuestion::$Content

Definition at line 683 of file ezquestion.php.

Referenced by content().

## ◆ $HasChoices

eZQuestion::$HasChoices

Definition at line 689 of file ezquestion.php.

## ◆ $ID

eZQuestion::$ID

Definition at line 676 of file ezquestion.php.

Referenced by __construct(), and id().

## ◆ $Initial

eZQuestion::$Initial

Definition at line 684 of file ezquestion.php.

Referenced by initial().

## ◆ $Length

eZQuestion::$Length

Definition at line 681 of file ezquestion.php.

Referenced by length().

## ◆ $Position

eZQuestion::$Position

Definition at line 682 of file ezquestion.php.

Referenced by moveDown(), moveUp(), and position().

## ◆ $Public

eZQuestion::$Public

Definition at line 686 of file ezquestion.php.

## ◆ $QuestionTypeID

eZQuestion::$QuestionTypeID

Definition at line 679 of file ezquestion.php.

Referenced by questionTypeID().

## ◆ $Required

eZQuestion::$Required

Definition at line 685 of file ezquestion.php.

Referenced by required().

## ◆ $ResponseTable

eZQuestion::$ResponseTable

Definition at line 690 of file ezquestion.php.

Referenced by responseTable().

## ◆ $ResultID

eZQuestion::$ResultID

Definition at line 680 of file ezquestion.php.

Referenced by resultID().

## ◆ $SurveyId

eZQuestion::$SurveyId

Definition at line 677 of file ezquestion.php.

## ◆ $SurveyID

eZQuestion::$SurveyID

Definition at line 678 of file ezquestion.php.

Referenced by getAll(), and surveyId().

## ◆ $TABLE_BOOL

eZQuestion::$TABLE_BOOL = "eZResponseBool"

Definition at line 705 of file ezquestion.php.

## ◆ $TABLE_DATE

eZQuestion::$TABLE_DATE = "eZResponseDate"

Definition at line 710 of file ezquestion.php.

## ◆ $TABLE_MULTIPLE

eZQuestion::$TABLE_MULTIPLE = "eZResponseMultiple"

Definition at line 708 of file ezquestion.php.

## ◆ $TABLE_RANK

eZQuestion::$TABLE_RANK = "eZResponseRank"

Definition at line 709 of file ezquestion.php.

## ◆ $TABLE_SINGLE

eZQuestion::$TABLE_SINGLE = "eZResponseSingle"

Definition at line 707 of file ezquestion.php.

## ◆ $TABLE_TEXT

eZQuestion::$TABLE_TEXT = "eZResponseText"

Definition at line 706 of file ezquestion.php.

## ◆ $TYPE_CHECKBOX

eZQuestion::$TYPE_CHECKBOX = "5"

Definition at line 697 of file ezquestion.php.

## ◆ $TYPE_DATE

eZQuestion::$TYPE_DATE = "9"

Definition at line 700 of file ezquestion.php.

## ◆ $TYPE_DROPDOWN

eZQuestion::$TYPE_DROPDOWN = "6"

Definition at line 698 of file ezquestion.php.

## ◆ $TYPE_NUMERIC

eZQuestion::$TYPE_NUMERIC = "10"

Definition at line 701 of file ezquestion.php.

## ◆ $TYPE_PAGEBREAK

eZQuestion::$TYPE_PAGEBREAK = "99"

Definition at line 702 of file ezquestion.php.

## ◆ $TYPE_RADIO

eZQuestion::$TYPE_RADIO = "4"

Definition at line 696 of file ezquestion.php.

## ◆ $TYPE_RATE

eZQuestion::$TYPE_RATE = "8"

Definition at line 699 of file ezquestion.php.

## ◆ $TYPE_SECTIONTEXT

eZQuestion::$TYPE_SECTIONTEXT = "100"

Definition at line 703 of file ezquestion.php.

## ◆ $TYPE_TEXTAREA

eZQuestion::$TYPE_TEXTAREA = "3"

Definition at line 695 of file ezquestion.php.

## ◆ $TYPE_TEXTBOX

eZQuestion::$TYPE_TEXTBOX = "2"

Definition at line 694 of file ezquestion.php.

## ◆ $TYPE_YESNO

eZQuestion::$TYPE_YESNO = "1"

Definition at line 693 of file ezquestion.php.

The documentation for this class was generated from the following file:

- ezquestion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.